import Foundation
import App

abbrev = 'Yamamoto_TOS'
iconName = 'Yamamoto_TOS'
longName = 'Yamamoto Class BB'
shipFile = 'Yamamoto_TOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = ['Federation']
species = App.SPECIES_GALAXY

Foundation.ShipDef.Yamamoto_TOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Yamamoto_TOS.fMaxWarp = 8.5
Foundation.ShipDef.Yamamoto_TOS.fCruiseWarp = 6.5
Foundation.ShipDef.Yamamoto_TOS.fWarpEntryDelayTime = 2.0
Foundation.ShipDef.Yamamoto_TOS.sBridge = 'Constitutionbridge'
Foundation.ShipDef.Yamamoto_TOS.desc = "Yamamoto-class battleships are large starships with a main battery consisting of heavy phaser emplacements and multiple photon torpedo tubes. Battleships are larger, better armed and shielded than cruisers and destroyers. As the largest armed ships in a fleet, battleships are used to attain command of entire sectors of space and are a major factor in both diplomacy and military strategy.  The presence of a Yamamoto-class battleship along the Klingon and Romulan Neutral zones has great psychological and diplomatic impact. The role of the Yamamoto-class is to sweep the enemy from the space, while the work of escorting, blockading and raiding might be done by cruisers or smaller vessels; the presence of the battleship is a potential threat to any convoy escorted by any vessels other than capital ships.\n\nBattleships are the largest and most complex, and hence the most expensive vessels of their time and as advances in weapons technology produce more compact and powerful systems which could be used by relatively small and inexpensive craft the value of investment in battleships is being contested within the Federation."

if menuGroup:           Foundation.ShipDef.Yamamoto_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Yamamoto_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
